package com.fs.hisStore.service;

import java.util.List;
import com.fs.hisStore.domain.FsStoreVisitScrm;

/**
 * 产品浏览分析Service接口
 * 
 * @author fs
 * @date 2022-03-15
 */
public interface IFsStoreVisitScrmService 
{
    /**
     * 查询产品浏览分析
     * 
     * @param id 产品浏览分析ID
     * @return 产品浏览分析
     */
    public FsStoreVisitScrm selectFsStoreVisitById(Long id);

    /**
     * 查询产品浏览分析列表
     * 
     * @param fsStoreVisit 产品浏览分析
     * @return 产品浏览分析集合
     */
    public List<FsStoreVisitScrm> selectFsStoreVisitList(FsStoreVisitScrm fsStoreVisit);

    /**
     * 新增产品浏览分析
     * 
     * @param fsStoreVisit 产品浏览分析
     * @return 结果
     */
    public int insertFsStoreVisit(FsStoreVisitScrm fsStoreVisit);

    /**
     * 修改产品浏览分析
     * 
     * @param fsStoreVisit 产品浏览分析
     * @return 结果
     */
    public int updateFsStoreVisit(FsStoreVisitScrm fsStoreVisit);

    /**
     * 批量删除产品浏览分析
     * 
     * @param ids 需要删除的产品浏览分析ID
     * @return 结果
     */
    public int deleteFsStoreVisitByIds(Long[] ids);

    /**
     * 删除产品浏览分析信息
     * 
     * @param id 产品浏览分析ID
     * @return 结果
     */
    public int deleteFsStoreVisitById(Long id);
}
